# Generated by Django 2.2.4 on 2019-08-09 01:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=25, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('phone_1', models.CharField(blank=True, max_length=15, null=True, verbose_name='Phone 1')),
                ('phone_2', models.CharField(blank=True, max_length=15, null=True, verbose_name='Phone 2')),
                ('fax', models.CharField(blank=True, max_length=15, null=True, verbose_name='Fax')),
                ('email', models.EmailField(blank=True, max_length=30, null=True, verbose_name='Email')),
                ('address', models.CharField(blank=True, max_length=255, null=True, verbose_name='Address')),
                ('country', models.CharField(blank=True, max_length=50, null=True, verbose_name='Country')),
                ('province', models.CharField(blank=True, max_length=50, null=True, verbose_name='Province')),
                ('city', models.CharField(blank=True, max_length=50, null=True, verbose_name='City')),
                ('zip', models.CharField(blank=True, max_length=5, null=True, verbose_name='ZIP')),
            ],
            options={
                'verbose_name': 'Organization',
                'verbose_name_plural': 'Organizations',
                'permissions': (('export_organization', 'Can export organization'), ('detail_organization', 'Can show organization detail')),
            },
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=5, null=True, verbose_name='Title')),
                ('gender', models.CharField(choices=[('ML', 'Male'), ('FE', 'Female')], default='ML', max_length=2, verbose_name='Gender')),
                ('dob', models.DateField(blank=True, null=True, verbose_name='Date of birth')),
                ('phone_1', models.CharField(blank=True, max_length=15, null=True, verbose_name='Phone 1')),
                ('phone_2', models.CharField(blank=True, max_length=15, null=True, verbose_name='Phone 2')),
                ('address', models.CharField(blank=True, max_length=255, null=True, verbose_name='Address')),
                ('country', models.CharField(blank=True, max_length=50, null=True, verbose_name='Country')),
                ('province', models.CharField(blank=True, max_length=50, null=True, verbose_name='Province')),
                ('city', models.CharField(blank=True, max_length=50, null=True, verbose_name='City')),
                ('zip', models.CharField(blank=True, max_length=5, null=True, verbose_name='ZIP')),
                ('position', models.CharField(blank=True, max_length=50, null=True, verbose_name='Position')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='epic_core.Organization', verbose_name='Organization')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'User Profile',
                'verbose_name_plural': 'User Profiles',
                'permissions': (('export_userprofile', 'Can export userprofile'), ('detail_userprofile', 'Can show userprofile detail')),
            },
        ),
    ]
